## slim 1.3.6.10.11

=== themes/CMakeLists.txt ===
subdirs (default)

=== .pc/libslim-cmake-fixes.patch/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6.0 FATAL_ERROR)

set(PROJECT_NAME slim)
project(${PROJECT_NAME})

#Pretty colors
set(CMAKE_COLOR_MAKEFILE ON)
#Dont force verbose
set(CMAKE_VERBOSE_MAKEFILE ON)
#Include current dir
set(CMAKE_INCLUDE_CURRENT_DIR TRUE)

INCLUDE(CheckIncludeFile)
INCLUDE(CheckCCompilerFlag)
INCLUDE(CheckCXXCompilerFlag)
INCLUDE(CheckTypeSize)

# Version
set(SLIM_VERSION_MAJOR "1")
set(SLIM_VERSION_MINOR "3")
set(SLIM_VERSION_PATCH "6")
set(SLIM_VERSION "${SLIM_VERSION_MAJOR}.${SLIM_VERSION_MINOR}.${SLIM_VERSION_PATCH}")

set(CMAKE_INSTALL_PREFIX "/usr/local" CACHE PATH "Installation Directory")
set(PKGDATADIR "${CMAKE_INSTALL_PREFIX}/share/slim")
set(SYSCONFDIR "/etc")
set(LIBDIR "/lib")
set(MANDIR "${CMAKE_INSTALL_PREFIX}/share/man")

set(SLIM_DEFINITIONS)
if(${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD" OR
		${CMAKE_SYSTEM_NAME} MATCHES "NetBSD" OR
		${CMAKE_SYSTEM_NAME} MATCHES "OpenBSD"
		)
	set(SLIM_DEFINITIONS ${SLIM_DEFINITIONS} "-DNEEDS_BASENAME")
else()
	set(SLIM_DEFINITIONS ${SLIM_DEFINITIONS} "-DHAVE_SHADOW")
endif()

set(SLIM_DEFINITIONS ${SLIM_DEFINITIONS} "-DPACKAGE=\"slim\"")
set(SLIM_DEFINITIONS ${SLIM_DEFINITIONS} "-DVERSION=\"${SLIM_VERSION}\"")
set(SLIM_DEFINITIONS ${SLIM_DEFINITIONS} "-DPKGDATADIR=\"${PKGDATADIR}\"")
set(SLIM_DEFINITIONS ${SLIM_DEFINITIONS} "-DSYSCONFDIR=\"${SYSCONFDIR}\"")

# Flags
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -g -O2")
set(CMAKE_CPP_FLAGS "${CMAKE_CPP_FLAGS} -Wall -g -O2")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -g -O2")

# source 
set(slim_srcs
	main.cpp
	app.cpp
	numlock.cpp
	switchuser.cpp
	png.c
	jpeg.c
)

set(slimlock_srcs
	slimlock.cpp
)

set(common_srcs
    cfg.cpp
    image.cpp
    log.cpp
    panel.cpp
    util.cpp
)
if(USE_PAM)
	set(common_srcs ${common_srcs} PAM.cpp)
    # for now, only build slimlock if we are using PAM.
    if(BUILD_SLIMLOCK)
	set(BUILD_SLIMLOCK 1)
    endif(BUILD_SLIMLOCK)
endif(USE_PAM)

# Build common library
set(BUILD_SHARED_LIBS ON CACHE BOOL "Build shared libraries")

if (BUILD_SHARED_LIBS)
	message(STATUS "Enable shared library building")
	add_library(libslim ${common_srcs})
else(BUILD_SHARED_LIBS)
	message(STATUS "Disable shared library building")
	add_library(libslim STATIC ${common_srcs})
endif(BUILD_SHARED_LIBS)

if(USE_CONSOLEKIT)
	set(slim_srcs ${slim_srcs} Ck.cpp)
endif(USE_CONSOLEKIT)

add_executable(${PROJECT_NAME} ${slim_srcs})
if(BUILD_SLIMLOCK)
    add_executable(slimlock ${slimlock_srcs})
endif(BUILD_SLIMLOCK)

#Set the custom CMake module directory where our include/lib finders are
set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules")

find_package(X11 REQUIRED)
find_package(Freetype REQUIRED)
find_package(JPEG REQUIRED)
find_package(PNG REQUIRED)
find_package(ZLIB REQUIRED)

# Fontconfig
set(FONTCONFIG_DIR ${CMAKE_MODULE_PATH})
find_package(FONTCONFIG REQUIRED)
if(FONTCONFIG_FOUND)
	message("\tFontConfig Found")
	target_link_libraries(${PROJECT_NAME} ${FONTCONFIG_LIBRARY})
	include_directories(${FONTCONFIG_INCLUDE_DIR})
endif(FONTCONFIG_FOUND)

# PAM
if(USE_PAM)
	message("\tPAM Enabled")
	find_package(PAM)
	if(PAM_FOUND)
		message("\tPAM Found")
		set(SLIM_DEFINITIONS ${SLIM_DEFINITIONS} "-DUSE_PAM")
		target_link_libraries(${PROJECT_NAME} ${PAM_LIBRARY})
		if(BUILD_SLIMLOCK)
			target_link_libraries(slimlock ${PAM_LIBRARY})
		endif(BUILD_SLIMLOCK)
		include_directories(${PAM_INCLUDE_DIR})
	else(PAM_FOUND)
		message("\tPAM Not Found")
	endif(PAM_FOUND)
else(USE_PAM)
	message("\tPAM disabled")
endif(USE_PAM)

# ConsoleKit
if(USE_CONSOLEKIT)
	find_package(CkConnector)
	message("\tConsoleKit Enabled")
	if(CKCONNECTOR_FOUND)
		message("\tConsoleKit Found")
		# DBus check
		find_package(DBus REQUIRED)
		if(DBUS_FOUND)
			message("\tDBus Found")
			target_link_libraries(${PROJECT_NAME} ${DBUS_LIBRARIES})
			include_directories(${DBUS_ARCH_INCLUDE_DIR})
			include_directories(${DBUS_INCLUDE_DIR})
			set(SLIM_DEFINITIONS ${SLIM_DEFINITIONS} "-DUSE_CONSOLEKIT")
			target_link_libraries(${PROJECT_NAME} ${CKCONNECTOR_LIBRARIES})
			include_directories(${CKCONNECTOR_INCLUDE_DIR})
		else(DBUS_FOUND)
			message("\tDBus Not Found")
		endif(DBUS_FOUND)
	else(CKCONNECTOR_FOUND)
		message("\tConsoleKit Not Found")
		message("\tConsoleKit disabled")
	endif(CKCONNECTOR_FOUND)
else(USE_CONSOLEKIT)
	message("\tConsoleKit disabled")
endif(USE_CONSOLEKIT)

# system librarys
find_library(M_LIB m)
find_library(RT_LIB rt)
find_library(CRYPTO_LIB crypt)
find_package(Threads)

add_definitions(${SLIM_DEFINITIONS})

#Set up include dirs with all found packages
include_directories(
	${X11_INCLUDE_DIR}
	${X11_Xft_INCLUDE_PATH}
	${X11_Xrender_INCLUDE_PATH}
	${X11_Xrandr_INCLUDE_PATH}
	${FREETYPE_INCLUDE_DIR_freetype2}
	${X11_Xmu_INCLUDE_PATH}
	${ZLIB_INCLUDE_DIR}
	${JPEG_INCLUDE_DIR}
	${PNG_INCLUDE_DIR}
)

target_link_libraries(libslim
    ${JPEG_LIBRARIES}
	${PNG_LIBRARIES}
)

#Set up library with all found packages for slim
target_link_libraries(${PROJECT_NAME}
	${M_LIB}
	${RT_LIB}
	${CRYPTO_LIB}
	${X11_X11_LIB}
	${X11_Xft_LIB}
	${X11_Xrender_LIB}
	${X11_Xrandr_LIB}
	${X11_Xmu_LIB}
	${FREETYPE_LIBRARY}
	${JPEG_LIBRARIES}
	${PNG_LIBRARIES}
    libslim
)

if(BUILD_SLIMLOCK)
    #Set up library with all found packages for slimlock
    target_link_libraries(slimlock
        ${M_LIB}
        ${RT_LIB}
        ${CRYPTO_LIB}
        ${X11_X11_LIB}
        ${X11_Xft_LIB}
        ${X11_Xrender_LIB}
        ${X11_Xrandr_LIB}
        ${X11_Xmu_LIB}
        ${X11_Xext_LIB}
        ${FREETYPE_LIBRARY}
        ${JPEG_LIBRARIES}
        ${PNG_LIBRARIES}
        ${CMAKE_THREAD_LIBS_INIT}
        libslim
    )
endif(BUILD_SLIMLOCK)

####### install
# slim
install(TARGETS slim RUNTIME DESTINATION bin)
if(BUILD_SLIMLOCK)
	install(TARGETS slimlock RUNTIME DESTINATION bin)
endif(BUILD_SLIMLOCK)

if (BUILD_SHARED_LIBS)
	set_target_properties(libslim PROPERTIES
		OUTPUT_NAME slim
		SOVERSION ${SLIM_VERSION})

	install(TARGETS libslim
		LIBRARY DESTINATION lib
		ARCHIVE DESTINATION lib
	)
endif (BUILD_SHARED_LIBS)

# man file
install(FILES slim.1 DESTINATION ${MANDIR}/man1/)
if(BUILD_SLIMLOCK)
	install(FILES slimlock.1 DESTINATION ${MANDIR}/man1/)
endif(BUILD_SLIMLOCK)
# configure
install(FILES slim.conf DESTINATION ${SYSCONFDIR})
# systemd service file
if (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
	install(FILES slim.service DESTINATION ${LIBDIR}/systemd/system)
endif (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
# themes directory
subdirs(themes)

=== .pc/no-slimlock-with-pam.patch/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6.0 FATAL_ERROR)

set(PROJECT_NAME slim)
project(${PROJECT_NAME})

#Pretty colors
set(CMAKE_COLOR_MAKEFILE ON)
#Dont force verbose
set(CMAKE_VERBOSE_MAKEFILE ON)
#Include current dir
set(CMAKE_INCLUDE_CURRENT_DIR TRUE)

INCLUDE(CheckIncludeFile)
INCLUDE(CheckCCompilerFlag)
INCLUDE(CheckCXXCompilerFlag)
INCLUDE(CheckTypeSize)

# Version
set(SLIM_VERSION_MAJOR "1")
set(SLIM_VERSION_MINOR "3")
set(SLIM_VERSION_PATCH "6")
set(SLIM_VERSION "${SLIM_VERSION_MAJOR}.${SLIM_VERSION_MINOR}.${SLIM_VERSION_PATCH}")

set(CMAKE_INSTALL_PREFIX "/usr/local" CACHE PATH "Installation Directory")
set(PKGDATADIR "${CMAKE_INSTALL_PREFIX}/share/slim")
set(SYSCONFDIR "/etc")
set(LIBDIR "/lib")
set(MANDIR "${CMAKE_INSTALL_PREFIX}/share/man")

set(SLIM_DEFINITIONS)
if(${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD" OR
		${CMAKE_SYSTEM_NAME} MATCHES "NetBSD" OR
		${CMAKE_SYSTEM_NAME} MATCHES "OpenBSD"
		)
	set(SLIM_DEFINITIONS ${SLIM_DEFINITIONS} "-DNEEDS_BASENAME")
else()
	set(SLIM_DEFINITIONS ${SLIM_DEFINITIONS} "-DHAVE_SHADOW")
endif()

set(SLIM_DEFINITIONS ${SLIM_DEFINITIONS} "-DPACKAGE=\"slim\"")
set(SLIM_DEFINITIONS ${SLIM_DEFINITIONS} "-DVERSION=\"${SLIM_VERSION}\"")
set(SLIM_DEFINITIONS ${SLIM_DEFINITIONS} "-DPKGDATADIR=\"${PKGDATADIR}\"")
set(SLIM_DEFINITIONS ${SLIM_DEFINITIONS} "-DSYSCONFDIR=\"${SYSCONFDIR}\"")

# Flags
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -g -O2")
set(CMAKE_CPP_FLAGS "${CMAKE_CPP_FLAGS} -Wall -g -O2")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -g -O2")

# source 
set(slim_srcs
	main.cpp
	app.cpp
	numlock.cpp
	switchuser.cpp
	png.c
	jpeg.c
)

set(slimlock_srcs
	slimlock.cpp
)

set(common_srcs
    cfg.cpp
    image.cpp
    log.cpp
    panel.cpp
    util.cpp
)
if(USE_PAM)
	set(common_srcs ${common_srcs} PAM.cpp)
    # for now, only build slimlock if we are using PAM.
    set(BUILD_SLIMLOCK 1)
endif(USE_PAM)

# Build common library
set(BUILD_SHARED_LIBS ON CACHE BOOL "Build shared libraries")

if (BUILD_SHARED_LIBS)
	message(STATUS "Enable shared library building")
	add_library(libslim ${common_srcs})
else(BUILD_SHARED_LIBS)
	message(STATUS "Disable shared library building")
	add_library(libslim STATIC ${common_srcs})
endif(BUILD_SHARED_LIBS)

if(USE_CONSOLEKIT)
	set(slim_srcs ${slim_srcs} Ck.cpp)
endif(USE_CONSOLEKIT)

add_executable(${PROJECT_NAME} ${slim_srcs})
if(BUILD_SLIMLOCK)
    add_executable(slimlock ${slimlock_srcs})
endif(BUILD_SLIMLOCK)

#Set the custom CMake module directory where our include/lib finders are
set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules")

find_package(X11 REQUIRED)
find_package(Freetype REQUIRED)
find_package(JPEG REQUIRED)
find_package(PNG REQUIRED)
find_package(ZLIB REQUIRED)

# Fontconfig
set(FONTCONFIG_DIR ${CMAKE_MODULE_PATH})
find_package(FONTCONFIG REQUIRED)
if(FONTCONFIG_FOUND)
	message("\tFontConfig Found")
	target_link_libraries(${PROJECT_NAME} ${FONTCONFIG_LIBRARY})
	include_directories(${FONTCONFIG_INCLUDE_DIR})
endif(FONTCONFIG_FOUND)

# PAM
if(USE_PAM)
	message("\tPAM Enabled")
	find_package(PAM)
	if(PAM_FOUND)
		message("\tPAM Found")
		set(SLIM_DEFINITIONS ${SLIM_DEFINITIONS} "-DUSE_PAM")
		target_link_libraries(${PROJECT_NAME} ${PAM_LIBRARY})
		target_link_libraries(slimlock ${PAM_LIBRARY})
		include_directories(${PAM_INCLUDE_DIR})
	else(PAM_FOUND)
		message("\tPAM Not Found")
	endif(PAM_FOUND)
else(USE_PAM)
	message("\tPAM disabled")
endif(USE_PAM)

# ConsoleKit
if(USE_CONSOLEKIT)
	find_package(CkConnector)
	message("\tConsoleKit Enabled")
	if(CKCONNECTOR_FOUND)
		message("\tConsoleKit Found")
		# DBus check
		find_package(DBus REQUIRED)
		if(DBUS_FOUND)
			message("\tDBus Found")
			target_link_libraries(${PROJECT_NAME} ${DBUS_LIBRARIES})
			include_directories(${DBUS_ARCH_INCLUDE_DIR})
			include_directories(${DBUS_INCLUDE_DIR})
			set(SLIM_DEFINITIONS ${SLIM_DEFINITIONS} "-DUSE_CONSOLEKIT")
			target_link_libraries(${PROJECT_NAME} ${CKCONNECTOR_LIBRARIES})
			include_directories(${CKCONNECTOR_INCLUDE_DIR})
		else(DBUS_FOUND)
			message("\tDBus Not Found")
		endif(DBUS_FOUND)
	else(CKCONNECTOR_FOUND)
		message("\tConsoleKit Not Found")
		message("\tConsoleKit disabled")
	endif(CKCONNECTOR_FOUND)
else(USE_CONSOLEKIT)
	message("\tConsoleKit disabled")
endif(USE_CONSOLEKIT)

# system librarys
find_library(M_LIB m)
find_library(RT_LIB rt)
find_library(CRYPTO_LIB crypt)
find_package(Threads)

add_definitions(${SLIM_DEFINITIONS})

#Set up include dirs with all found packages
include_directories(
	${X11_INCLUDE_DIR}
	${X11_Xft_INCLUDE_PATH}
	${X11_Xrender_INCLUDE_PATH}
	${X11_Xrandr_INCLUDE_PATH}
	${FREETYPE_INCLUDE_DIR_freetype2}
	${X11_Xmu_INCLUDE_PATH}
	${ZLIB_INCLUDE_DIR}
	${JPEG_INCLUDE_DIR}
	${PNG_INCLUDE_DIR}
)

target_link_libraries(libslim
    ${JPEG_LIBRARIES}
	${PNG_LIBRARIES}
)

#Set up library with all found packages for slim
target_link_libraries(${PROJECT_NAME}
	${M_LIB}
	${RT_LIB}
	${CRYPTO_LIB}
	${X11_X11_LIB}
	${X11_Xft_LIB}
	${X11_Xrender_LIB}
	${X11_Xrandr_LIB}
	${X11_Xmu_LIB}
	${FREETYPE_LIBRARY}
	${JPEG_LIBRARIES}
	${PNG_LIBRARIES}
    libslim
)

if(BUILD_SLIMLOCK)
    #Set up library with all found packages for slimlock
    target_link_libraries(slimlock
        ${M_LIB}
        ${RT_LIB}
        ${CRYPTO_LIB}
        ${X11_X11_LIB}
        ${X11_Xft_LIB}
        ${X11_Xrender_LIB}
        ${X11_Xrandr_LIB}
        ${X11_Xmu_LIB}
        ${X11_Xext_LIB}
        ${FREETYPE_LIBRARY}
        ${JPEG_LIBRARIES}
        ${PNG_LIBRARIES}
        ${CMAKE_THREAD_LIBS_INIT}
        libslim
    )
endif(BUILD_SLIMLOCK)

####### install
# slim
install(TARGETS slim RUNTIME DESTINATION bin)
install(TARGETS slimlock RUNTIME DESTINATION bin)

if (BUILD_SHARED_LIBS)
	set_target_properties(libslim PROPERTIES
		OUTPUT_NAME slim
		SOVERSION ${SLIM_VERSION})

	install(TARGETS libslim
		LIBRARY DESTINATION lib
		ARCHIVE DESTINATION lib
	)
endif (BUILD_SHARED_LIBS)

# man file
install(FILES slim.1 DESTINATION ${MANDIR}/man1/)
install(FILES slimlock.1 DESTINATION ${MANDIR}/man1/)
# configure
install(FILES slim.conf DESTINATION ${SYSCONFDIR})
# systemd service file
if (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
	install(FILES slim.service DESTINATION ${LIBDIR}/systemd/system)
endif (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
# themes directory
subdirs(themes)

=== themes/default/CMakeLists.txt ===
set (THEMES "themes/default")

install(FILES slim.theme DESTINATION ${PKGDATADIR}/${THEMES})
install(FILES panel.png DESTINATION ${PKGDATADIR}/${THEMES})
install(FILES background.jpg DESTINATION ${PKGDATADIR}/${THEMES})

=== debian/changelog ===
slim (1.3.6.10.11) unstable; urgency=medium

  * Made it possible to install runit services

 -- anticapitalista <antix@operamail.com>  Thu, 09 Sep 2021 17:47:52 +0200

=== debian/control ===
Source: slim
Section: x11
Priority: optional
Maintainer: anticapitalista <antiX@operamail.com>
Uploaders: Dima Krasner <dima@dimakrasner.com>, Daniel Reurich <daniel@centurion.net.nz>
Build-Depends: debconf, debhelper (>= 9), libjpeg-dev, libpam0g-dev,
	libpng-dev, libxft-dev, libxmu-dev, po-debconf, sharutils, cmake,
	freeglut3-dev, libpthread-stubs0-dev, libxrandr-dev, libck-connector-dev
Standards-Version: 3.9.6
Homepage: http://sourceforge.net/projects/slim.berlios/

Package: slim
Architecture: any
Provides: x-display-manager
Recommends: xterm
Suggests: scrot, xauth
Depends: ${shlibs:Depends}, ${misc:Depends}, debconf (>= 1.2.9) | debconf-2.0, default-logind | logind | consolekit
Description: desktop-independent graphical login manager for X11
 SLiM aims to be light, simple and independent from the various
 desktop environments. Although completely configurable through
 themes and an option file. It is particularly suitable for machines
 that don't require remote logins.

## slim 1.3.6.10.13

=== debian/changelog ===
slim (1.3.6.10.13) unstable; urgency=medium

  * make sure we check for existece of /etc/init.d/slim before attempting to rmove it

 -- anticapitalista <antix@operamail.com>  Sun, 12 Sep 2021 20:01:44 +0300

slim (1.3.6.10.12) unstable; urgency=medium

  * remove /etc/init.d/slim if using runit

 -- anticapitalista <antix@operamail.com>  Sun, 12 Sep 2021 16:13:53 +0300

## slim 1.3.6.10.14

=== debian/changelog ===
slim (1.3.6.10.14) unstable; urgency=medium

  * make sure /etc/sv/slim is removed on purge

 -- anticapitalista <antix@operamail.com>  Thu, 07 Oct 2021 19:24:59 +0300

## slim 1.3.6.10.15

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6.0 FATAL_ERROR)

set(PROJECT_NAME slim)
project(${PROJECT_NAME})

#Pretty colors
set(CMAKE_COLOR_MAKEFILE ON)
#Dont force verbose
set(CMAKE_VERBOSE_MAKEFILE ON)
#Include current dir
set(CMAKE_INCLUDE_CURRENT_DIR TRUE)

INCLUDE(CheckIncludeFile)
INCLUDE(CheckCCompilerFlag)
INCLUDE(CheckCXXCompilerFlag)
INCLUDE(CheckTypeSize)

# Version
set(SLIM_VERSION_MAJOR "1")
set(SLIM_VERSION_MINOR "3")
set(SLIM_VERSION_PATCH "6")
set(SLIM_VERSION "${SLIM_VERSION_MAJOR}.${SLIM_VERSION_MINOR}.${SLIM_VERSION_PATCH}")

set(CMAKE_INSTALL_PREFIX "/usr/local" CACHE PATH "Installation Directory")
set(PKGDATADIR "${CMAKE_INSTALL_PREFIX}/share/slim")
set(SYSCONFDIR "/etc")
set(LIBDIR "/lib")
set(MANDIR "${CMAKE_INSTALL_PREFIX}/share/man")

set(SLIM_DEFINITIONS)
if(${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD" OR
		${CMAKE_SYSTEM_NAME} MATCHES "NetBSD" OR
		${CMAKE_SYSTEM_NAME} MATCHES "OpenBSD"
		)
	set(SLIM_DEFINITIONS ${SLIM_DEFINITIONS} "-DNEEDS_BASENAME")
else()
	set(SLIM_DEFINITIONS ${SLIM_DEFINITIONS} "-DHAVE_SHADOW")
endif()

set(SLIM_DEFINITIONS ${SLIM_DEFINITIONS} "-DPACKAGE=\"slim\"")
set(SLIM_DEFINITIONS ${SLIM_DEFINITIONS} "-DVERSION=\"${SLIM_VERSION}\"")
set(SLIM_DEFINITIONS ${SLIM_DEFINITIONS} "-DPKGDATADIR=\"${PKGDATADIR}\"")
set(SLIM_DEFINITIONS ${SLIM_DEFINITIONS} "-DSYSCONFDIR=\"${SYSCONFDIR}\"")

# Flags
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -g -O2")
set(CMAKE_CPP_FLAGS "${CMAKE_CPP_FLAGS} -Wall -g -O2")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -g -O2")

# source 
set(slim_srcs
	main.cpp
	app.cpp
	numlock.cpp
	switchuser.cpp
	png.c
	jpeg.c
)

set(slimlock_srcs
	slimlock.cpp
)

set(common_srcs
    cfg.cpp
    image.cpp
    log.cpp
    panel.cpp
    util.cpp
)
if(USE_PAM)
	set(common_srcs ${common_srcs} PAM.cpp)
    # for now, only build slimlock if we are using PAM.
    if(BUILD_SLIMLOCK)
	set(BUILD_SLIMLOCK 1)
    endif(BUILD_SLIMLOCK)
endif(USE_PAM)

# Build common library
set(BUILD_SHARED_LIBS ON CACHE BOOL "Build shared libraries")

if (BUILD_SHARED_LIBS)
	message(STATUS "Enable shared library building")
	add_library(libslim ${common_srcs})
else(BUILD_SHARED_LIBS)
	message(STATUS "Disable shared library building")
	add_library(libslim STATIC ${common_srcs})
endif(BUILD_SHARED_LIBS)

if(USE_CONSOLEKIT)
	set(slim_srcs ${slim_srcs} Ck.cpp)
endif(USE_CONSOLEKIT)

add_executable(${PROJECT_NAME} ${slim_srcs})
if(BUILD_SLIMLOCK)
    add_executable(slimlock ${slimlock_srcs})
endif(BUILD_SLIMLOCK)

#Set the custom CMake module directory where our include/lib finders are
set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules")

find_package(X11 REQUIRED)
find_package(Freetype REQUIRED)
find_package(JPEG REQUIRED)
find_package(PNG REQUIRED)
find_package(ZLIB REQUIRED)

# Fontconfig
set(FONTCONFIG_DIR ${CMAKE_MODULE_PATH})
find_package(FONTCONFIG REQUIRED)
if(FONTCONFIG_FOUND)
	message("\tFontConfig Found")
	target_link_libraries(${PROJECT_NAME} ${FONTCONFIG_LIBRARY})
	include_directories(${FONTCONFIG_INCLUDE_DIR})
endif(FONTCONFIG_FOUND)

# PAM
if(USE_PAM)
	message("\tPAM Enabled")
	find_package(PAM)
	if(PAM_FOUND)
		message("\tPAM Found")
		set(SLIM_DEFINITIONS ${SLIM_DEFINITIONS} "-DUSE_PAM")
		target_link_libraries(${PROJECT_NAME} ${PAM_LIBRARY})
		target_link_libraries(libslim ${PAM_LIBRARY})
		if(BUILD_SLIMLOCK)
			target_link_libraries(slimlock ${PAM_LIBRARY})
		endif(BUILD_SLIMLOCK)
		include_directories(${PAM_INCLUDE_DIR})
	else(PAM_FOUND)
		message("\tPAM Not Found")
	endif(PAM_FOUND)
else(USE_PAM)
	message("\tPAM disabled")
endif(USE_PAM)

# ConsoleKit
if(USE_CONSOLEKIT)
	find_package(CkConnector)
	message("\tConsoleKit Enabled")
	if(CKCONNECTOR_FOUND)
		message("\tConsoleKit Found")
		# DBus check
		find_package(DBus REQUIRED)
		if(DBUS_FOUND)
			message("\tDBus Found")
			target_link_libraries(${PROJECT_NAME} ${DBUS_LIBRARIES})
			include_directories(${DBUS_ARCH_INCLUDE_DIR})
			include_directories(${DBUS_INCLUDE_DIR})
			set(SLIM_DEFINITIONS ${SLIM_DEFINITIONS} "-DUSE_CONSOLEKIT")
			target_link_libraries(${PROJECT_NAME} ${CKCONNECTOR_LIBRARIES})
			include_directories(${CKCONNECTOR_INCLUDE_DIR})
		else(DBUS_FOUND)
			message("\tDBus Not Found")
		endif(DBUS_FOUND)
	else(CKCONNECTOR_FOUND)
		message("\tConsoleKit Not Found")
		message("\tConsoleKit disabled")
	endif(CKCONNECTOR_FOUND)
else(USE_CONSOLEKIT)
	message("\tConsoleKit disabled")
endif(USE_CONSOLEKIT)

# system librarys
find_library(M_LIB m)
find_library(RT_LIB rt)
find_library(CRYPTO_LIB crypt)
find_package(Threads)

add_definitions(${SLIM_DEFINITIONS})

#Set up include dirs with all found packages
include_directories(
	${X11_INCLUDE_DIR}
	${X11_Xft_INCLUDE_PATH}
	${X11_Xrender_INCLUDE_PATH}
	${X11_Xrandr_INCLUDE_PATH}
	${FREETYPE_INCLUDE_DIR_freetype2}
	${X11_Xmu_INCLUDE_PATH}
	${ZLIB_INCLUDE_DIR}
	${JPEG_INCLUDE_DIR}
	${PNG_INCLUDE_DIR}
)

target_link_libraries(libslim
	${RT_LIB}
	${X11_Xft_LIB}
	${X11_Xrandr_LIB}
	${JPEG_LIBRARIES}
	${PNG_LIBRARIES}
)

#Set up library with all found packages for slim
target_link_libraries(${PROJECT_NAME}
	${M_LIB}
	${RT_LIB}
	${CRYPTO_LIB}
	${X11_X11_LIB}
	${X11_Xft_LIB}
	${X11_Xrender_LIB}
	${X11_Xrandr_LIB}
	${X11_Xmu_LIB}
	${FREETYPE_LIBRARY}
	${JPEG_LIBRARIES}
	${PNG_LIBRARIES}
    libslim
)

if(BUILD_SLIMLOCK)
    #Set up library with all found packages for slimlock
    target_link_libraries(slimlock
        ${M_LIB}
        ${RT_LIB}
        ${CRYPTO_LIB}
        ${X11_X11_LIB}
        ${X11_Xft_LIB}
        ${X11_Xrender_LIB}
        ${X11_Xrandr_LIB}
        ${X11_Xmu_LIB}
        ${X11_Xext_LIB}
        ${FREETYPE_LIBRARY}
        ${JPEG_LIBRARIES}
        ${PNG_LIBRARIES}
        ${CMAKE_THREAD_LIBS_INIT}
        libslim
    )
endif(BUILD_SLIMLOCK)

####### install
# slim
install(TARGETS slim RUNTIME DESTINATION bin)
if(BUILD_SLIMLOCK)
	install(TARGETS slimlock RUNTIME DESTINATION bin)
endif(BUILD_SLIMLOCK)

if (BUILD_SHARED_LIBS)
	set_target_properties(libslim PROPERTIES
		OUTPUT_NAME slim
		SOVERSION ${SLIM_VERSION})

	install(TARGETS libslim
		LIBRARY DESTINATION lib${LIB_SUFFIX}
		ARCHIVE DESTINATION lib${LIB_SIFFUX}
	)
endif (BUILD_SHARED_LIBS)

# man file
install(FILES slim.1 DESTINATION ${MANDIR}/man1/)
if(BUILD_SLIMLOCK)
	install(FILES slimlock.1 DESTINATION ${MANDIR}/man1/)
endif(BUILD_SLIMLOCK)
# configure
install(FILES slim.conf DESTINATION ${SYSCONFDIR})

# themes directory
subdirs(themes)

=== debian/changelog ===
slim (1.3.6.10.15) unstable; urgency=medium

  * added seatd as an alternative dependency to elogind and consolekit

 -- anticapitalista <antix@operamail.com>  Fri, 22 Oct 2021 14:55:54 +0300

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 Provides: x-display-manager
 Recommends: xterm
 Suggests: scrot, xauth
-Depends: ${shlibs:Depends}, ${misc:Depends}, debconf (>= 1.2.9) | debconf-2.0, default-logind | logind | consolekit
+Depends: ${shlibs:Depends}, ${misc:Depends}, debconf (>= 1.2.9) | debconf-2.0, default-logind | logind | consolekit | seatd
 Description: desktop-independent graphical login manager for X11
  SLiM aims to be light, simple and independent from the various
  desktop environments. Although completely configurable through

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DEB_HOST_ARCH_OS := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

CMAKE_FLAGS = -DUSE_PAM=yes -DUSE_CONSOLEKIT=yes -DBUILD_SHARED_LIBS=no -DBUILD_SLIMLOCK=yes

ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
 CMAKE_FLAGS = -DUSE_PAM=yes -DUSE_CONSOLEKIT=yes -DBUILD_SHARED_LIBS=no -DBUILD_SLIMLOCK=no
endif

ifeq ($(DEB_HOST_ARCH_OS),hurd)
 CMAKE_FLAGS = -DUSE_PAM=yes -DUSE_CONSOLEKIT=yes -DBUILD_SHARED_LIBS=no -DBUILD_SLIMLOCK=no
endif

%:
	dh $@ --buildsystem=cmake 

override_dh_auto_configure:
	dh_auto_configure -- $(CMAKE_FLAGS)

override_dh_installinit:
	dh_installinit --noscripts
#dh_installinit --no-restart-on-upgrade --no-start \
#		--update-rcd-params="start 99 2 3 4 5 . stop 1 0 1 6 ."

override_dh_installpam:
	dh_installpam --name=slim

override_dh_install:
	dh_install --list-missing

	# pam
	#install -D -m 0644  pam.sample \
		#$(CURDIR)/debian/slim/etc/pam.d/slim
	# remove COPYRIGHT files.
	rm -rf \
		debian/slim/usr/share/slim/themes/default
override_dh_usrlocal:

## slim 1.4.0

=== debian/changelog ===
slim (1.4.0-0devuan2) unstable; urgency=medium

  [ Rob Pearce ]
  * Devuan bug #739 : Fixed the SysVInit expectation of the pidfile

 -- Rob Pearce <slim@flitspace.org.uk>  Sun, 29 Jan 2023 18:18:20 +0000

slim (1.4.0-0devuan1) unstable; urgency=medium

  [ Rob Pearce ]
  * New upstream release:
    - Incorporates some of our patches
  * Adjusted the patch set to suit
  * Bump up standards to 4.6.2
  * Removed dependency on lsb-base as it no longer exists

 -- Rob Pearce <slim@flitspace.org.uk>  Sun, 22 Jan 2023 14:28:05 +0000

slim (1.3.9-1devuan2) unstable; urgency=medium

  [ Rob Pearce ]
  * Pre-emptively changed the passwd_feedback_x/y origin to match slimlock
    as that's how V1.4.0 will do it

 -- Rob Pearce <slim@flitspace.org.uk>  Tue, 3 Jan 2023 22:28:05 +0000

slim (1.3.9-1devuan1) unstable; urgency=medium

  [ Rob Pearce ]
  * Replaced upstream with actively maintained fork
  * Adjusted the patch set to suit
  * Bump up standards to 4.6.1, no changes

  [ Boian Bonev ]
  * Enable hardening build options
  * Add patch to convert README to UTF-8
  * Refresh patches by quilt
  * Remove an obsolete upstart file
  * Bump up compat to 13
  * wrap-and-sort
  * Bump up standards to 4.6.2, no changes

 -- Rob Pearce <slim@flitspace.org.uk>  Mon, 12 Dec 2022 10:48:23 +0000

slim (1.3.6-5.3devuan1) unstable; urgency=medium

  * Merge Debian 1.3.6-5.3.

 -- Mark Hindley <mark@hindley.org.uk>  Fri, 18 Feb 2022 16:33:29 +0000

slim (1.3.6-5.2+devuan1) unstable; urgency=medium

  * Set slim PAM session as class greeter. This ensures sessions
    are closed promptly on logout and we always get a session on
    a rapid logout/login cycle (Closes: #540).
  * Merge changes from debian 1.3.6-5.2 NMU.
  * d/control: add Origin: Devuan
  * d/control: update Vcs-* following Gitea migration.

 -- Mark Hindley <mark@hindley.org.uk>  Thu, 21 Jan 2021 15:45:24 +0000

=== debian/control ===
Source: slim
Section: x11
Priority: optional
Maintainer: Devuan Dev Team <devuan-dev@lists.dyne.org>
Uploaders:
 Mark (LeePen) Hindley <mark@hindley.org.uk>,
 Daniel Reurich <daniel@centurion.net.nz>,
 Dima Krasner <dima@dimakrasner.com>,
 Rob Pearce <slim@flitspace.org.uk>,
Build-Depends:
 cmake,
 debconf,
 debhelper-compat (= 13),
 freeglut3-dev,
 libjpeg-dev,
 libpam0g-dev,
 libpng-dev,
 libpthread-stubs0-dev,
 libxft-dev,
 libxmu-dev,
 libxrandr-dev,
 po-debconf,
 sharutils,
Standards-Version: 4.6.2
Vcs-Git: https://git.devuan.org/devuan/slim.git
Vcs-Browser: https://git.devuan.org/devuan/slim
Homepage: http://sourceforge.net/projects/slim-fork/
Origin: Devuan
Rules-Requires-Root: no

Package: slim
Architecture: any
Provides:
 x-display-manager,
Recommends:
 xterm,
Suggests:
 scrot,
 xauth,
Depends:
 dbus,
 debconf (>= 1.2.9) | debconf-2.0,
 default-logind | logind | consolekit,
 x11-xserver-utils,
 ${misc:Depends},
 ${shlibs:Depends},
Description: desktop-independent graphical login manager for X11
 SLiM aims to be light, simple and independent from the various
 desktop environments. Although completely configurable through
 themes and an option file. It is particularly suitable for machines
 that don't require remote logins.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

CMAKE_FLAGS = -DUSE_PAM=yes -DUSE_CONSOLEKIT=no -DBUILD_SHARED_LIBS=no -DBUILD_SLIMLOCK=yes

ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
 CMAKE_FLAGS = -DUSE_PAM=yes -DUSE_CONSOLEKIT=no -DBUILD_SHARED_LIBS=no -DBUILD_SLIMLOCK=no
endif

ifeq ($(DEB_HOST_ARCH_OS),hurd)
 CMAKE_FLAGS = -DUSE_PAM=yes -DUSE_CONSOLEKIT=no -DBUILD_SHARED_LIBS=no -DBUILD_SLIMLOCK=no
endif

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- $(CMAKE_FLAGS)

override_dh_installinit:
	dh_installinit --noscripts
#dh_installinit --no-restart-on-upgrade --no-start \
#		--update-rcd-params="start 99 2 3 4 5 . stop 1 0 1 6 ."

override_dh_installpam:
	dh_installpam --name=slim

override_dh_install:
	dh_install

	# pam
	#install -D -m 0644  pam.sample \
		#$(CURDIR)/debian/slim/etc/pam.d/slim
	# remove COPYRIGHT files.
	rm -rf \
		debian/slim/usr/share/slim/themes/devuan-curve/COPYING

=== debian/watch ===
version=4
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/,dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$// \
http://sf.net/slim-fork/files/slim-(\d\S*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## slim 1.4.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.6.0 FATAL_ERROR)
+cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
 
 set(PROJECT_NAME slim)
 project(${PROJECT_NAME})
@@ -14,18 +14,17 @@
 INCLUDE(CheckCCompilerFlag)
 INCLUDE(CheckCXXCompilerFlag)
 INCLUDE(CheckTypeSize)
+INCLUDE(GNUInstallDirs)
 
 # Version
 set(SLIM_VERSION_MAJOR "1")
-set(SLIM_VERSION_MINOR "3")
-set(SLIM_VERSION_PATCH "6")
+set(SLIM_VERSION_MINOR "4")
+set(SLIM_VERSION_PATCH "1")
 set(SLIM_VERSION "${SLIM_VERSION_MAJOR}.${SLIM_VERSION_MINOR}.${SLIM_VERSION_PATCH}")
 
-set(CMAKE_INSTALL_PREFIX "/usr/local" CACHE PATH "Installation Directory")
-set(PKGDATADIR "${CMAKE_INSTALL_PREFIX}/share/slim")
+set(PKGDATADIR "${CMAKE_INSTALL_FULL_DATADIR}/slim")
 set(SYSCONFDIR "/etc")
-set(LIBDIR "/lib")
-set(MANDIR "${CMAKE_INSTALL_PREFIX}/share/man")
+set(SYSTEMDDIR "/lib/systemd")
 
 set(SLIM_DEFINITIONS)
 if(${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD" OR
@@ -37,15 +36,10 @@
 	set(SLIM_DEFINITIONS ${SLIM_DEFINITIONS} "-DHAVE_SHADOW")
 endif()
 
-set(SLIM_DEFINITIONS ${SLIM_DEFINITIONS} "-DPACKAGE=\"slim\"")
+set(SLIM_DEFINITIONS ${SLIM_DEFINITIONS} "-DAPPNAME=\"${PROJECT_NAME}\"")
 set(SLIM_DEFINITIONS ${SLIM_DEFINITIONS} "-DVERSION=\"${SLIM_VERSION}\"")
 set(SLIM_DEFINITIONS ${SLIM_DEFINITIONS} "-DPKGDATADIR=\"${PKGDATADIR}\"")
 set(SLIM_DEFINITIONS ${SLIM_DEFINITIONS} "-DSYSCONFDIR=\"${SYSCONFDIR}\"")
-
-# Flags
-set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -g -O2")
-set(CMAKE_CPP_FLAGS "${CMAKE_CPP_FLAGS} -Wall -g -O2")
-set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -g -O2")
 
 # source 
 set(slim_srcs
@@ -53,8 +47,6 @@
 	app.cpp
 	numlock.cpp
 	switchuser.cpp
-	png.c
-	jpeg.c
 )
 
 set(slimlock_srcs
@@ -70,10 +62,8 @@
 )
 if(USE_PAM)
 	set(common_srcs ${common_srcs} PAM.cpp)
-    # for now, only build slimlock if we are using PAM.
-    if(BUILD_SLIMLOCK)
-	set(BUILD_SLIMLOCK 1)
-    endif(BUILD_SLIMLOCK)
+    # used to always build slimlock if we are using PAM. Removed as per Devuan
+    # set(BUILD_SLIMLOCK 1)
 endif(USE_PAM)
 
 # Build common library
@@ -91,7 +81,7 @@
 	set(slim_srcs ${slim_srcs} Ck.cpp)
 endif(USE_CONSOLEKIT)
 
-add_executable(${PROJECT_NAME} ${slim_srcs})
+add_executable(slim ${slim_srcs})
 if(BUILD_SLIMLOCK)
     add_executable(slimlock ${slimlock_srcs})
 endif(BUILD_SLIMLOCK)
@@ -103,14 +93,13 @@
 find_package(Freetype REQUIRED)
 find_package(JPEG REQUIRED)
 find_package(PNG REQUIRED)
-find_package(ZLIB REQUIRED)
 
 # Fontconfig
 set(FONTCONFIG_DIR ${CMAKE_MODULE_PATH})
 find_package(FONTCONFIG REQUIRED)
 if(FONTCONFIG_FOUND)
 	message("\tFontConfig Found")
-	target_link_libraries(${PROJECT_NAME} ${FONTCONFIG_LIBRARY})
+	target_link_libraries(slim ${FONTCONFIG_LIBRARY})
 	include_directories(${FONTCONFIG_INCLUDE_DIR})
 endif(FONTCONFIG_FOUND)
 
@@ -121,7 +110,7 @@
 	if(PAM_FOUND)
 		message("\tPAM Found")
 		set(SLIM_DEFINITIONS ${SLIM_DEFINITIONS} "-DUSE_PAM")
-		target_link_libraries(${PROJECT_NAME} ${PAM_LIBRARY})
+		target_link_libraries(slim ${PAM_LIBRARY})
 		target_link_libraries(libslim ${PAM_LIBRARY})
 		if(BUILD_SLIMLOCK)
 			target_link_libraries(slimlock ${PAM_LIBRARY})
@@ -144,11 +133,11 @@
 		find_package(DBus REQUIRED)
 		if(DBUS_FOUND)
 			message("\tDBus Found")
-			target_link_libraries(${PROJECT_NAME} ${DBUS_LIBRARIES})
+			target_link_libraries(slim ${DBUS_LIBRARIES})
 			include_directories(${DBUS_ARCH_INCLUDE_DIR})
 			include_directories(${DBUS_INCLUDE_DIR})
 			set(SLIM_DEFINITIONS ${SLIM_DEFINITIONS} "-DUSE_CONSOLEKIT")
-			target_link_libraries(${PROJECT_NAME} ${CKCONNECTOR_LIBRARIES})
+			target_link_libraries(slim ${CKCONNECTOR_LIBRARIES})
 			include_directories(${CKCONNECTOR_INCLUDE_DIR})
 		else(DBUS_FOUND)
 			message("\tDBus Not Found")
@@ -175,7 +164,7 @@
 	${X11_Xft_INCLUDE_PATH}
 	${X11_Xrender_INCLUDE_PATH}
 	${X11_Xrandr_INCLUDE_PATH}
-	${FREETYPE_INCLUDE_DIR_freetype2}
+	${FREETYPE_INCLUDE_DIRS}
 	${X11_Xmu_INCLUDE_PATH}
 	${ZLIB_INCLUDE_DIR}
 	${JPEG_INCLUDE_DIR}
@@ -191,7 +180,7 @@
 )
 
 #Set up library with all found packages for slim
-target_link_libraries(${PROJECT_NAME}
+target_link_libraries(slim
 	${M_LIB}
 	${RT_LIB}
 	${CRYPTO_LIB}
@@ -228,10 +217,7 @@
 
 ####### install
 # slim
-install(TARGETS slim RUNTIME DESTINATION bin)
-if(BUILD_SLIMLOCK)
-	install(TARGETS slimlock RUNTIME DESTINATION bin)
-endif(BUILD_SLIMLOCK)
+install(TARGETS slim RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
 
 if (BUILD_SHARED_LIBS)
 	set_target_properties(libslim PROPERTIES
@@ -239,18 +225,27 @@
 		SOVERSION ${SLIM_VERSION})
 
 	install(TARGETS libslim
-		LIBRARY DESTINATION lib${LIB_SUFFIX}
-		ARCHIVE DESTINATION lib${LIB_SIFFUX}
+		LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
+		ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
 	)
 endif (BUILD_SHARED_LIBS)
 
 # man file
-install(FILES slim.1 DESTINATION ${MANDIR}/man1/)
+install(FILES slim.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
+
+# configure - in theory we should use CMAKE_INSTALL_SYSCONFDIR but that doesn't work
+install(FILES slim.conf DESTINATION ${SYSCONFDIR})
+
+# systemd service file - condition is wrong - not all Linux uses systemd!
+if (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
+	install(FILES slim.service DESTINATION ${SYSTEMDDIR}/system)
+endif (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
+
+#slimlock
 if(BUILD_SLIMLOCK)
-	install(FILES slimlock.1 DESTINATION ${MANDIR}/man1/)
+	install(TARGETS slimlock RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR} PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE SETUID)
+	install(FILES slimlock.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
 endif(BUILD_SLIMLOCK)
-# configure
-install(FILES slim.conf DESTINATION ${SYSCONFDIR})
 
 # themes directory
 subdirs(themes)

=== themes/CMakeLists.txt ===
subdirs (default original)

=== themes/original/CMakeLists.txt ===
set (THEMES "themes/original")

install(FILES slim.theme DESTINATION ${PKGDATADIR}/${THEMES})
install(FILES panel.png DESTINATION ${PKGDATADIR}/${THEMES})
install(FILES background.jpg DESTINATION ${PKGDATADIR}/${THEMES})

=== debian/changelog ===
slim (1.4.1-3) unstable; urgency=medium

  [ Lorenzo Puliti ]
  * QA upload.
  * Orphan the package, set QA as maintainer
  * d/control:
     - drop redundant RRR=no
     - bump S-V to 4.7.3, drop Priority: optional
  * d/copyright:
     - update old fsf address in GPL-2+ license
     - update debian contributors and years
  * d/watch: update to v5
  * d/patches: remove hardening from systemd service (Closes: #1107505)
  * Depends: use dbus virtual packages instead of dbus.
    + Thanks to Simon McVittie <smcv@debian.org> (Closes: #1122718)
  * update lintian overrides
  * slim.postinst: remove uneffective update-rc.d parameters (K,S)

  [ Andrew Bower ]
  * Provide $x-display-manager facility (sysvinit)
     (Salsa MR #3)

 -- Lorenzo Puliti <plorenzo@disroot.org>  Sat, 17 Jan 2026 18:14:44 +0100

slim (1.4.1-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * B-D on libcrypt-dev (Closes: #1107027)

 -- Yifei Zhan <debian@zhan.science>  Mon, 22 Dec 2025 10:24:44 +0000

slim (1.4.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with CMake 4. (Closes: #1113509)

 -- Adrian Bunk <bunk@debian.org>  Sat, 11 Oct 2025 21:22:19 +0300

slim (1.4.1-2) unstable; urgency=medium

  * Team upload.
  * Install systemd unit into /usr again (DEP17 M2) (Closes: #1090752)
  * Revert "Re-install slim.conf"

 -- Michael Biebl <biebl@debian.org>  Tue, 31 Dec 2024 17:31:44 +0100

slim (1.4.1-1) unstable; urgency=medium

  * Team upload.
    Closes: #1087575

  [ Andreas Tille ]
  * Incorporate changes from Devuan (listed below in changelog)
  * Remove Uploader Jens Peter Secher <jps@debian.org> since
      550 Unrouteable address
  * Set Vcs-fields to debian/ team on Salsa
  * Remove trailing whitespace in debian/copyright (routine-update)
  * No tab in license text (routine-update)
  * Do not mention removed styles (debian-moreblue-orbit) in include-binaries

  [ Mark Hindley ]
  * New upstream version 1.4.1
    Closes: #1024672, #475249
  * d/watch: update URL to use qa.debian.org redirector (see uscan(1)).
  * d/control: bump Standards Version (no changes).
  * d/patches/:
    - add patch to restore required includes to log.h.
    - drop patches applied upstream.
    - refresh patches.
  * d/copyright: remove obsolete files.

  [ Thomas Fischer ]
  * PR#7 by Thomas Fischer <tom314@posteo.net>
    - Move text labels to the correct position as in slim (slimlock,
      Devuan bug: #761)
    - Allow inline comments in config files
    - Fix background image with alpha channel stretch/tile/center and
      background color

  [ Rob Pearce ]
  * Devuan bug #739 : Fixed the SysVInit expectation of the pidfile
  * New upstream release:
    - Incorporates some of our patches
  * Removed dependency on lsb-base as it no longer exists
  * Pre-emptively changed the passwd_feedback_x/y origin to match slimlock
    as that's how V1.4.0 will do it
  * Replaced upstream with actively maintained fork

  [ Boian Bonev ]
  * Enable hardening build options
  * Add patch to convert README to UTF-8
  * Refresh patches by quilt
  * Remove an obsolete upstart file
  * Bump up compat to 13
  * wrap-and-sort

 -- Andreas Tille <tille@debian.org>  Fri, 06 Dec 2024 08:51:05 +0100

slim (1.3.6-5.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Install systemd unit into /usr (DEP17 M2) (Closes: #1073603)

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 19 Jun 2024 23:03:41 +0200

=== debian/control ===
Source: slim
Maintainer: Debian QA Group <packages@qa.debian.org>
Section: x11
Build-Depends: cmake,
               debconf,
               debhelper-compat (= 13),
               freeglut3-dev,
               libcrypt-dev,
               libjpeg-dev,
               libpam0g-dev,
               libpng-dev,
               libpthread-stubs0-dev,
               libxft-dev,
               libxmu-dev,
               libxrandr-dev,
               po-debconf,
               sharutils
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/debian/slim
Vcs-Git: https://salsa.debian.org/debian/slim.git
Homepage: http://sourceforge.net/projects/slim-fork/

Package: slim
Architecture: any
Depends: default-dbus-system-bus | dbus-system-bus,
         debconf | debconf-2.0,
         default-logind | logind | consolekit,
         x11-xserver-utils,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: xterm
Suggests: scrot,
          xauth
Provides: x-display-manager
Description: desktop-independent graphical login manager for X11
 SLiM aims to be light, simple and independent from the various
 desktop environments. Although completely configurable through
 themes and an option file. It is particularly suitable for machines
 that don't require remote logins.

=== debian/watch ===
Version: 5

Source: http://sf.net/slim-fork/
Matching-Pattern: slim-@ANY_VERSION@@ARCHIVE_EXT@
Dversionmangle: s/\+(debian|dfsg|ds|deb)\d*$//
Uversionmangle: s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/
